# Lookup - by Tax Id
source: https://developer.mastercard.com/merchant-identifier/documentation/tutorials-and-guides/lookup-by-tax-id/index.md

The client has raw data which includes Tax Id, but the client is unable to identify other merchant details and attributes about the merchant in the transaction. In this example we will query for merchants matching the tax id of '15065786007458' in the country of 'BRA'
Note: Tax Id lookup is currently available for merchants in Brazil only. To inquire about other geographies, please reach out to your Mastercard representative. Tip: The Tax Id used in this example is available in the sandbox. Found [here](https://static.developer.mastercard.com/content/merchant-identifier/uploads/merchant-identifier-sandbox-merchant-descriptors.xlsx)

**RESTful GET Request**


API Reference: `GET /merchants-by-tax-ids`

<br />

**RESTful Request Parameters**

```javascript
tax_id=123456
country_code=BRA  
```

**RESTful Response:**

```json
{
  "merchants": [
    {
      "address": {
        "line1": "STREET 67899",
        "city": "NEW YORK",
        "postalCode": "12345",
        "country": {
          "code": "USA",
          "name": "UNITED STATES OF AMERICA"
        }
      },
      "brandName": "JOHN DOE RETAILERS",
      "merchantCategory": "5411 - GROCERY STORE AND SUPERMARKET",
      "merchantDbaName": "JOHN DOE RETAIL",
      "taxId": "0000123456",
      "legalCorporateName": "JOHN DOE LLC",
      "locationId": 1174012564,
      "isBrickAndMortar":  false,
      "isEcommerce": true
    }
  ]
}
```

